Ruby 2.0: undefined method `load_target' for []:Array #473

Closed
burningTyger opened this Issue Nov 2, 2012 · 5 comments

Comments

Projects
None yet
7 participants
@burningTyger
Contributor

burningTyger commented Nov 2, 2012

I get this error:

NoMethodError - undefined method `load_target' for []:Array:
    /Users/me/.rvm/gems/ruby-2.0.0-preview1/gems/mongo_mapper-0.12.0/lib/mongo_mapper/plugins/associations/proxy.rb:97:in `send'

when running my app under Ruby 2.0.0-preview1

Let me know if you need more information, so far it only appears when saving an object.

@alexfalkowski

This comment has been minimized.

Show comment Hide comment
@alexfalkowski

alexfalkowski Apr 10, 2013

When will this be released?

When will this be released?

@Bramanga

This comment has been minimized.

Show comment Hide comment
@Bramanga

Bramanga Jun 14, 2013

Same issue here running under ruby ruby-2.0.0-p195. I would like to see a ruby 2 release for mongomapper as well 👍

Same issue here running under ruby ruby-2.0.0-p195. I would like to see a ruby 2 release for mongomapper as well 👍

@jcaudle

This comment has been minimized.

Show comment Hide comment
@jcaudle

jcaudle Jun 14, 2013

Contributor

I've been working (when I have the time) to get the test suite passing across all supported versions of Ruby (ree, and MRI 1.8, 1.9, and 2.0) before we cut a new release. If you'd like to take a look at getting tests passing on 1.8 and ree, I'd greatly appreciate it! I've got a branch on my repository and the failed tests can be viewed on Travis. As soon as we can get the test suite passing across all versions, I think the plan is to get the new release out the door (at which point I'll also feel comfortable merging new PRs into master here).

Contributor

jcaudle commented Jun 14, 2013

I've been working (when I have the time) to get the test suite passing across all supported versions of Ruby (ree, and MRI 1.8, 1.9, and 2.0) before we cut a new release. If you'd like to take a look at getting tests passing on 1.8 and ree, I'd greatly appreciate it! I've got a branch on my repository and the failed tests can be viewed on Travis. As soon as we can get the test suite passing across all versions, I think the plan is to get the new release out the door (at which point I'll also feel comfortable merging new PRs into master here).

@wlanboy

This comment has been minimized.

Show comment Hide comment
@wlanboy

wlanboy Aug 3, 2013

Same problem with ruby-2.0.0-p247.
So I have to stay with ruby-1.9.3-p448 for mongo_mapper projects...

wlanboy commented Aug 3, 2013

Same problem with ruby-2.0.0-p247.
So I have to stay with ruby-1.9.3-p448 for mongo_mapper projects...

@cheald

This comment has been minimized.

Show comment Hide comment
@cheald

cheald Aug 3, 2013

Owner

@wlanboy Have you tried 0.13.0.beta1 yet?

Owner

cheald commented Aug 3, 2013

@wlanboy Have you tried 0.13.0.beta1 yet?

brynary added a commit to brynary/mongomapper that referenced this issue Dec 26, 2013

brynary added a commit to brynary/mongomapper that referenced this issue Dec 26, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment